Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157522 - The spec file is missing alpha arch
Summary: The spec file is missing alpha arch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xerces-j2
Version: rawhide
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 09:36 UTC by Sergey Tikhonov
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 16:37:19 UTC


Attachments (Terms of Use)

Description Sergey Tikhonov 2005-05-12 09:36:10 UTC
Description of problem:
The spec file is missing alpha arch. Please, add alpha and alphaev6. This latest
gcc the java on linux alpha started to work.

Thank you,

Version-Release number of selected component (if applicable):
xerces-j2-2.6.2-4jpp_5fc

Comment 1 Fernando Nasser 2005-05-13 13:31:25 UTC
Gary is handling the Fedora versions of this package

Comment 2 Sergey Tikhonov 2005-05-14 20:23:50 UTC
It would be very very nice if all java packages that have ExclusiveArch: defined
had alpha arch added. It would make life of AlphaCore project easier. :) Thank you.


Comment 3 Gary Benson 2005-05-23 10:35:05 UTC
Sorry for the delay, I've been on vacation.

Is there a macro like %{ix86} that covers both alpha and alphaev6?

Comment 4 Sergey Tikhonov 2005-05-23 11:28:34 UTC
Unfortunatelly, there is none. I think just adding "alpha" would be enough. RPM
has some compatibility rules for arches and I think "alpha" would works for
alphaev6. Anyway right now we are not building ev6 specific packages. :)
What about adding "alpha" to all java spec files?
Thank you.

Comment 5 Gary Benson 2005-05-23 16:37:19 UTC
Ok, I've added "alpha" to everything that needs it in CVS.  In itself it's too
small a change to warrant rebuilds this close to the FC4 freeze, but I've had to
rebuild most of them anyway to fix another issue so this fix will be in almost
all of the packages for FC4.

Comment 6 Sergey Tikhonov 2005-05-23 18:11:16 UTC
Thank you very much.
Just to let you know - we were able to build almost all java packages on linux
alpha. There are some issues with building of sources, but that is another story.



Note You need to log in before you can comment on or make changes to this bug.